% Multi-task ridge regression toolbox, implementing the statistical
% procedure described in "Multi-task regression using minimal penalties, M.
% Solnon, S. Arlot, F. Bach, 2011".
%
% Version 1, 07 Septembre 2011.
% Copyright (c) Matthieu Solnon
% Please send any comment, advice, or report any bug to
% matthieu.solnon@ens.fr
%
% General functions, compute quadratic errors of multi-task and single-task
% estimators.
%   - quaderror_multi : assumes that all the functions are close.
%   - quaderror_clustering : assumes the functions lie in two clusters.
%   - quaderror_segmentation : assumes the functions lie in two clusters,
%                              of the form {1,...k} and {k+1,...p}
%
% Functions used to generate data as described in the article. Generate
% both regression functions and kernel matrix.
%   - data_generator_multi : generates functions as described in the
%     article, in a general way.
%   - data_generator_clustering : generates functions in two clusters.