function y = column(Y)

% Transforms a matrix classically written into its column writing i.e.,
% stacks its columns.
%
% y = column(Y)
%
% Input
% Y : matrix. size n*p
%
% Output
% y : vector stacking the columns of Y. size np*1

[n p] = size(Y);
y = zeros(n*p,1);
for i = 1:p
    y((i-1)*n+1:(i*n),1) = Y(:,i);
end    

end
